"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Card />', () => {
  it('should render children', () => {
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Card, null, /*#__PURE__*/_react.default.createElement(_.Text, null, "Banana dance")));
    expect(getByText('Banana dance')).toBeTruthy();
  });
  it('should render custom styles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Card, {
      style: style,
      testID: "card"
    }, /*#__PURE__*/_react.default.createElement(_.Text, null, "Card")));
    expect(getByTestId('card')).toHaveStyle(style);
  });
});
describe('<Card.Content />', () => {
  it('should render children', () => {
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Card, null, /*#__PURE__*/_react.default.createElement(_.Card.Content, null, /*#__PURE__*/_react.default.createElement(_.Text, null, "Banana dance"))));
    expect(getByText('Banana dance')).toBeTruthy();
  });
  it('should render custom styles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Card, null, /*#__PURE__*/_react.default.createElement(_.Card.Content, {
      style: style,
      testID: "content"
    })));
    expect(getByTestId('content')).toHaveStyle(style);
  });
});
//# sourceMappingURL=Card.spec.js.map