"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const previewHeight = 20;

const ColorButton = ({
  disabled,
  color,
  theme,
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(_.Button, _extends({
    variant: "raised",
    disabled: disabled
  }, rest), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.row
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.colorPreview, {
      backgroundColor: color || 'transparent',
      borderWidth: 2,
      borderColor: disabled ? theme.materialTextDisabled : theme.materialText,
      shadowColor: disabled ? theme.materialTextDisabledShadow : 'transparent',
      shadowOffset: {
        width: 1,
        height: 1
      },
      shadowOpacity: 1,
      shadowRadius: 0
    }]
  }), /*#__PURE__*/_react.default.createElement(_.Divider, {
    orientation: "vertical",
    size: previewHeight
  }), /*#__PURE__*/_react.default.createElement(_.ArrowIcon, {
    theme: theme,
    direction: "down",
    disabled: disabled,
    segments: 3,
    style: styles.dropdownIcon
  })));
};

const styles = _reactNative.StyleSheet.create({
  row: {
    flexDirection: 'row'
  },
  colorPreview: {
    width: 36,
    marginRight: 6
  },
  dropdownIcon: {
    alignSelf: 'center',
    marginRight: 2,
    marginLeft: 4
  }
});

var _default = (0, _theming.withTheme)(ColorButton);

exports.default = _default;
//# sourceMappingURL=ColorButton.js.map