"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Desktop />', () => {
  it('should render children in "screen"', () => {
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Desktop, null, /*#__PURE__*/_react.default.createElement(_.Text, null, "Desktop content")));
    expect(getByTestId('desktopScreen')).toHaveTextContent('Desktop content');
  });
  it('should render custom styles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Desktop, {
      style: style,
      testID: "card"
    }));
    expect(getByTestId('card')).toHaveStyle(style);
  });
  it('should render custom screenStyles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Desktop, {
      screenStyle: style
    }));
    expect(getByTestId('desktopScreen')).toHaveStyle(style);
  });
});
//# sourceMappingURL=Desktop.spec.js.map