"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styleElements = require("../../styles/styleElements");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Divider = ({
  orientation = 'horizontal',
  size = '100%',
  style = {},
  theme,
  variant = 'default',
  ...rest
}) => {
  const isHorizontal = orientation === 'horizontal';
  const isRaised = variant === 'raised';
  const thickness = isRaised ? 5 : 4;
  const dynamicStyles = {
    width: isHorizontal ? size : thickness,
    height: isHorizontal ? thickness : size,
    backgroundColor: theme.material
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [styles.divider, dynamicStyles, style]
  }, rest), /*#__PURE__*/_react.default.createElement(_styleElements.Border, {
    variant: "well",
    invert: isRaised,
    theme: theme
  }));
};

const styles = _reactNative.StyleSheet.create({
  divider: {
    position: 'relative'
  }
});

var _default = (0, _theming.withTheme)(Divider);

exports.default = _default;
//# sourceMappingURL=Divider.js.map