"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Divider />', () => {
  it('should render Divider', () => {
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Divider, {
      testID: "divider"
    }));
    const divider = getByTestId('divider');
    expect(divider).toBeTruthy();
  });
  describe('prop: size', () => {
    it('defaults to 100%', () => {
      const {
        getByTestId
      } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Divider, {
        testID: "divider"
      }));
      const divider = getByTestId('divider');
      expect(divider).toHaveStyle({
        width: '100%'
      });
    });
    it('sets size correctly', () => {
      const size = 53;
      const {
        getByTestId
      } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Divider, {
        testID: "divider",
        size: size
      }));
      const divider = getByTestId('divider');
      expect(divider).toHaveStyle({
        width: 53
      });
    });
  });
  describe('prop: orientation', () => {
    it('renders horizontal line by default', () => {
      const size = 53;
      const {
        getByTestId
      } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Divider, {
        testID: "divider",
        size: size
      }));
      const divider = getByTestId('divider');
      expect(divider).toHaveStyle({
        width: 53
      });
    });
    it('renders vertical line when orientation="vertical"', () => {
      const size = 53;
      const {
        getByTestId
      } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Divider, {
        testID: "divider",
        orientation: "vertical",
        size: size
      }));
      const divider = getByTestId('divider');
      expect(divider).toHaveStyle({
        height: 53
      });
    });
  });
});
//# sourceMappingURL=Divider.spec.js.map