"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.testId = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styleElements = require("../../styles/styleElements");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const testId = 'fieldset';
exports.testId = testId;

const Fieldset = ({
  children,
  disabled,
  label,
  labelStyle = {},
  style = {},
  theme,
  variant = 'default',
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [styles.wrapper, style],
    testID: testId
  }, rest), variant === 'flat' ? /*#__PURE__*/_react.default.createElement(_styleElements.Border, {
    variant: "flat",
    theme: theme
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.border, {
      borderWidth: 4,
      borderColor: theme.borderLightest
    }]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.border, {
      marginRight: 2,
      marginBottom: 2,
      borderWidth: 2,
      borderColor: theme.borderDark
    }]
  })), label && /*#__PURE__*/_react.default.createElement(_.Text, {
    theme: theme,
    disabled: disabled,
    style: [styles.label, {
      backgroundColor: variant === 'flat' ? theme.canvas : theme.material
    }, labelStyle]
  }, label), children);
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    position: 'relative',
    marginVertical: 12,
    padding: 20
  },
  label: {
    position: 'absolute',
    top: 0,
    left: 8,
    // TODO: how to properly center the label?
    transform: [{
      translateY: -8
    }],
    paddingHorizontal: 8,
    fontSize: 16,
    lineHeight: 16
  },
  border: {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0
  }
});

var _default = (0, _theming.withTheme)(Fieldset);

exports.default = _default;
//# sourceMappingURL=Fieldset.js.map