"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Fieldset />', () => {
  it('should render children', () => {
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Fieldset, {
      testID: "fieldset"
    }, /*#__PURE__*/_react.default.createElement(_.Text, null, "Banana dance")));
    expect(getByTestId('fieldset')).toHaveTextContent('Banana dance');
  });
  it('should render custom styles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Fieldset, {
      testID: "fieldset",
      style: style
    }, /*#__PURE__*/_react.default.createElement(_.Text, null, "Fieldset")));
    expect(getByTestId('fieldset')).toHaveStyle(style);
  });
  describe('prop: label', () => {
    it('should render label', () => {
      const {
        getByText
      } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Fieldset, {
        label: "Something:"
      }));
      expect(getByText('Something:')).toBeTruthy();
    });
  });
  describe('prop: labelStyle', () => {
    it('should render custom label styles', () => {
      const style = {
        backgroundColor: 'teal'
      };
      const {
        getByText
      } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Fieldset, {
        label: "Something:",
        labelStyle: style
      }));
      expect(getByText('Something:')).toHaveStyle(style);
    });
  });
});
//# sourceMappingURL=Fieldset.spec.js.map