"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const pixelSize = 2;

const ArrowIcon = ({
  color,
  direction = 'down',
  disabled = false,
  segments = 4,
  shadowOffset,
  style = {},
  theme,
  ...rest
}) => {
  const segmentSizes = new Array(segments).fill(null).map((_, i) => 1 + i * 2);

  if (['right', 'down'].includes(direction)) {
    segmentSizes.reverse();
  }

  const isHorizontal = ['left', 'right'].includes(direction);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [styles.wrapper, {
      flexDirection: isHorizontal ? 'row' : 'column'
    }, style]
  }, rest), segmentSizes.map((segmentSize, i) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: i,
    style: [styles.segment, {
      [isHorizontal ? 'height' : 'width']: pixelSize * segmentSize,
      [isHorizontal ? 'width' : 'height']: pixelSize,
      backgroundColor: color || (disabled ? theme.materialTextDisabled : theme.materialText),
      shadowColor: disabled ? theme.materialTextDisabledShadow : 'transparent',
      shadowOffset: {
        width: shadowOffset || pixelSize,
        height: shadowOffset || pixelSize
      },
      shadowOpacity: 1,
      shadowRadius: 0
    }]
  })));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    position: 'relative',
    alignItems: 'center'
  },
  segment: {
    height: pixelSize
  }
});

var _default = (0, _theming.withTheme)(ArrowIcon);

exports.default = _default;
//# sourceMappingURL=ArrowIcon.js.map