"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const pixelSize = 1.5;
const segmentSize = 3 * pixelSize;

const CheckmarkIcon = ({
  disabled = false,
  style = {},
  theme,
  ...rest
}) => {
  const segmentOffsets = [2, 3, 4, 3, 2, 1, 0];
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [styles.wrapper, style]
  }, rest), segmentOffsets.map((offset, i) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: i,
    style: [styles.segment, {
      marginTop: offset * pixelSize,
      backgroundColor: disabled ? theme.checkmarkDisabled : theme.checkmark
    }]
  })));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    position: 'relative',
    flexDirection: 'row'
  },
  segment: {
    width: pixelSize,
    height: segmentSize
  }
});

var _default = (0, _theming.withTheme)(CheckmarkIcon);

exports.default = _default;
//# sourceMappingURL=CheckmarkIcon.js.map