"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const pixelSize = 2;

const ChevronIcon = ({
  color,
  direction = 'down',
  disabled = false,
  segments = 5,
  style = {},
  theme,
  ...rest
}) => {
  const baseColor = color || theme.materialText;
  let segmentSizes = new Array(segments).fill(null).map((_, i) => 1 + i * 2);

  if (['right', 'down'].includes(direction)) {
    segmentSizes = segmentSizes.reverse();
  }

  const isHorizontal = ['left', 'right'].includes(direction);

  const SegmentPixel = () => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      [isHorizontal ? 'width' : 'height']: pixelSize * 2,
      [isHorizontal ? 'height' : 'width']: pixelSize,
      backgroundColor: disabled ? theme.materialTextDisabled : baseColor,
      shadowColor: disabled ? theme.materialTextDisabledShadow : 'transparent',
      shadowOffset: {
        width: pixelSize,
        height: pixelSize
      },
      shadowOpacity: 1,
      shadowRadius: 0
    }
  });

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [styles.wrapper, {
      flexDirection: isHorizontal ? 'row' : 'column'
    }, style]
  }, rest), segmentSizes.map((segmentSize, i) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: i,
    style: [{
      [isHorizontal ? 'height' : 'width']: pixelSize * segmentSize,
      [isHorizontal ? 'width' : 'height']: pixelSize,
      flexDirection: isHorizontal ? 'column' : 'row',
      justifyContent: 'space-between'
    }]
  }, segmentSize !== 1 && /*#__PURE__*/_react.default.createElement(SegmentPixel, null), /*#__PURE__*/_react.default.createElement(SegmentPixel, null))));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    position: 'relative',
    alignItems: 'center'
  }
});

var _default = (0, _theming.withTheme)(ChevronIcon);

exports.default = _default;
//# sourceMappingURL=ChevronIcon.js.map