"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _shadow = _interopRequireDefault(require("../../styles/shadow"));

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Label = ({
  accessible,
  children,
  elevation = 0,
  onLongPress,
  onPress,
  radius = 4,
  style = {},
  theme,
  ...rest
}) => {
  return (
    /*#__PURE__*/
    // TODO: fix this TS error
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    _react.default.createElement(_reactNative.Animated.View, _extends({}, rest, {
      style: [styles.container, {
        backgroundColor: theme.tooltip,
        borderRadius: radius
      }, (0, _shadow.default)(elevation), style]
    }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
      delayPressIn: 0,
      disabled: !(onPress || onLongPress),
      onLongPress: onLongPress,
      onPress: onPress,
      accessible: accessible
    }, /*#__PURE__*/_react.default.createElement(_.Text, null, children)))
  );
};

const styles = _reactNative.StyleSheet.create({
  container: {
    position: 'relative',
    borderWidth: 2,
    paddingHorizontal: 12,
    paddingVertical: 6
  }
});

var _default = (0, _theming.withTheme)(Label);

exports.default = _default;
//# sourceMappingURL=Label.js.map