"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Divider = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _ = require("../..");

var _styles = require("../../styles/styles");

var _useControlledOrUncontrolled = _interopRequireDefault(require("../../hooks/useControlledOrUncontrolled"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// TODO: add accessibilityState=expanded ?
const ListAccordion = ({
  children,
  defaultExpanded,
  expanded: expandedProp,
  onPress,
  style,
  subtitle,
  subtitleStyle,
  theme,
  title,
  titleStyle,
  ...rest
}) => {
  const [expanded, setExpanded] = (0, _useControlledOrUncontrolled.default)({
    value: expandedProp,
    defaultValue: defaultExpanded
  });

  const handlePress = () => {
    onPress === null || onPress === void 0 ? void 0 : onPress();

    if (expandedProp === undefined) {
      setExpanded(currentExpanded => !currentExpanded);
    }
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, rest, {
    style: [styles.wrapper, {
      borderColor: theme.flatLight
    }, style]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
    onPress: handlePress,
    accessibilityRole: "button"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.header, {
      backgroundColor: theme.flatLight
    }],
    pointerEvents: "none"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, title && /*#__PURE__*/_react.default.createElement(_.Text, {
    bold: true,
    style: [styles.title, {
      color: theme.progress
    }, titleStyle]
  }, title), subtitle && /*#__PURE__*/_react.default.createElement(_.Text, {
    secondary: true,
    style: [styles.subtitle, subtitleStyle]
  }, subtitle)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.expandIcon
  }, /*#__PURE__*/_react.default.createElement(_.ChevronIcon, {
    theme: theme,
    color: theme.progress,
    segments: 3,
    direction: expanded ? 'up' : 'down'
  }), /*#__PURE__*/_react.default.createElement(_.ChevronIcon, {
    theme: theme,
    color: theme.progress,
    segments: 3,
    style: {
      marginVertical: 1
    },
    direction: expanded ? 'up' : 'down'
  })))), expanded && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.body]
  }, children));
}; // TODO: do we need 'displayName' ?
// ListAccordion.displayName = 'List.Accordion';


const styles = _reactNative.StyleSheet.create({
  wrapper: {
    borderWidth: 2
  },
  header: {
    paddingVertical: 4,
    paddingHorizontal: 8,
    minHeight: _styles.blockSizes.md,
    justifyContent: 'space-between',
    alignItems: 'center',
    display: 'flex',
    flexDirection: 'row'
  },
  title: {// TODO: create separate color variable for this? or should we use theme.materialColor instead?
  },
  subtitle: {
    // TODO: make a Text component with standarized font sizes where normal is 16 / small 13 ...etc
    fontSize: 13,
    marginTop: 4
  },
  expandIcon: {
    marginRight: 4
  },
  body: {},
  divider: {
    height: 2,
    width: 'auto'
  }
});

const Divider = ({
  theme
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.divider, {
      backgroundColor: theme.flatLight
    }]
  });
};

const DividerWithTheme = (0, _theming.withTheme)(Divider);
exports.Divider = DividerWithTheme;

var _default = (0, _theming.withTheme)(ListAccordion);

exports.default = _default;
//# sourceMappingURL=ListAccordion.js.map