"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styles = require("../../styles/styles");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ListItem = ({
  left,
  onPress,
  right,
  style,
  theme,
  title,
  titleStyle,
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: style
  }, rest), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress,
    accessibilityRole: "button"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.content]
  }, left && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.left]
  }, left), title && /*#__PURE__*/_react.default.createElement(_.Text, {
    style: [styles.title, {
      color: theme.progress
    }, titleStyle]
  }, title), right && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.right]
  }, right))));
};

const styles = _reactNative.StyleSheet.create({
  content: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    minHeight: _styles.blockSizes.md,
    paddingVertical: 4
  },
  title: {
    fontSize: 16
  },
  left: {
    marginRight: 8
  },
  right: {
    marginLeft: 8
  }
});

var _default = (0, _theming.withTheme)(ListItem);

exports.default = _default;
//# sourceMappingURL=ListItem.js.map