"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Item = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styles = require("../../styles/styles");

var _ = require("../..");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Item = ({
  disabled,
  onPress,
  primary = false,
  size = 'md',
  style,
  theme,
  title,
  ...rest
}) => {
  const [isPressed, setIsPressed] = (0, _react.useState)(false);
  const textStyles = (0, _styles.builtTextStyles)(theme);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, rest, {
    style: [styles.item, {
      height: _styles.blockSizes[size]
    }, {
      backgroundColor: isPressed ? theme.hoverBackground : theme.material
    }, style]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
    style: [styles.button],
    onPress: onPress,
    disabled: disabled,
    onHideUnderlay: () => setIsPressed(false),
    onShowUnderlay: () => setIsPressed(true),
    underlayColor: "none" // TODO: which accessibilityRole put in here?
    ,
    accessibilityRole: "menuitem",
    accessibilityState: {
      disabled
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    pointerEvents: "none",
    style: [styles.content]
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    theme: theme,
    bold: primary,
    style: [disabled ? textStyles.disabled : textStyles.default, !disabled && {
      color: isPressed ? theme.materialTextInvert : theme.materialText
    }]
  }, title))));
};

exports.Item = Item;

const styles = _reactNative.StyleSheet.create({
  item: {
    position: 'relative'
  },
  button: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    paddingHorizontal: 8
  },
  content: {
    alignSelf: 'flex-start'
  }
});

var _default = (0, _theming.withTheme)(Item);

exports.default = _default;
//# sourceMappingURL=MenuItem.js.map