"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.testId = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styleElements = require("../../styles/styleElements");

var _shadow = _interopRequireDefault(require("../../styles/shadow"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const testId = 'panel'; // TODO: common interface with styleElements/Border ?

exports.testId = testId;

const Panel = ({
  background = 'material',
  children,
  elevation = 0,
  invert = false,
  radius = 0,
  style = {},
  theme,
  variant = 'default',
  ...rest
}) => {
  const getBackgroundColor = () => {
    return theme[background];
  };

  return (
    /*#__PURE__*/
    // TODO: fix this TS error
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    _react.default.createElement(_reactNative.Animated.View, _extends({}, rest, {
      style: [styles.container, {
        padding: variant === 'well' ? 2 : 4,
        backgroundColor: getBackgroundColor(),
        borderRadius: radius
      }, (0, _shadow.default)(elevation), style],
      testID: testId
    }), variant !== 'clear' && /*#__PURE__*/_react.default.createElement(_styleElements.Border, {
      theme: theme,
      variant: variant,
      radius: radius,
      invert: invert
    }), children)
  );
};

const styles = _reactNative.StyleSheet.create({
  container: {
    position: 'relative'
  }
});

var _default = (0, _theming.withTheme)(Panel);

exports.default = _default;
//# sourceMappingURL=Panel.js.map