"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styles = require("../../styles/styles");

var _2 = require("../..");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const tileWidth = 17;

const Progress = ({
  background = 'material',
  percent = 0,
  style = {},
  theme,
  variant = 'default',
  ...rest
}) => {
  const [tilesNumber, setTilesNumber] = (0, _react.useState)(0);
  const [progressWidth, setProgressWidth] = (0, _react.useState)(0);

  function onProgressWidthChange(e) {
    const {
      width
    } = e.nativeEvent.layout;
    setProgressWidth(width);
  }

  (0, _react.useEffect)(() => {
    setTilesNumber(Math.round(percent / 100 * (progressWidth / tileWidth)));
  }, [percent]);
  return /*#__PURE__*/_react.default.createElement(_2.Panel, _extends({
    theme: theme,
    variant: "cutout",
    background: background
  }, rest, {
    style: [styles.wrapper, {
      height: _styles.blockSizes.md
    }, style],
    accessible: true,
    accessibilityRole: "progressbar",
    accessibilityValue: {
      min: 0,
      max: 100,
      now: percent
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.progressWrapper]
  }, variant === 'tile' ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.tilesWrapper, {
      borderColor: theme.material
    }],
    onLayout: onProgressWidthChange
  }, Array(tilesNumber).fill(null).map((_, index) => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.tile, styles.progress, {
      backgroundColor: theme.progress,
      borderColor: theme.material
    }],
    key: index
  }))) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.progress, {
      width: "".concat(percent, "%"),
      backgroundColor: theme.progress
    }]
  })));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    position: 'relative',
    padding: 4
  },
  progressWrapper: {
    width: '100%',
    height: '100%'
  },
  progress: {
    height: '100%'
  },
  tilesWrapper: {
    flexDirection: 'row',
    flex: 1,
    borderWidth: 1
  },
  tile: {
    width: tileWidth,
    borderWidth: 1
  }
});

var _default = (0, _theming.withTheme)(Progress);

exports.default = _default;
//# sourceMappingURL=Progress.js.map