"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ScrollPanel = ({
  children,
  noBackground,
  style = {},
  theme,
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, _extends({
    horizontal: true,
    showsHorizontalScrollIndicator: false,
    style: [styles.wrapper, {
      backgroundColor: noBackground ? 'transparent' : theme.materialDark
    }, style]
  }, rest), /*#__PURE__*/_react.default.createElement(_.Panel, {
    theme: theme,
    variant: "raised",
    style: [styles.borderWrapper]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.inner, {
      backgroundColor: theme.material
    }]
  }, /*#__PURE__*/_react.default.createElement(_.Divider, {
    theme: theme,
    orientation: "vertical",
    variant: "raised"
  }), /*#__PURE__*/_react.default.createElement(_.Divider, {
    theme: theme,
    orientation: "vertical",
    variant: "raised"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.content]
  }, children))));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    flexGrow: 0
  },
  inner: {
    padding: 16,
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center'
  },
  borderWrapper: {
    padding: 4,
    position: 'relative',
    minWidth: '100%'
  },
  content: {
    marginLeft: 8,
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center'
  }
});

var _default = (0, _theming.withTheme)(ScrollPanel);

exports.default = _default;
//# sourceMappingURL=ScrollPanel.js.map