"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _SelectBase = _interopRequireDefault(require("./SelectBase"));

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const SelectBox = ({
  onChange,
  options = [],
  style,
  theme,
  value,
  ...rest
}) => {
  const [, selectOptions] = (0, _SelectBase.default)({
    theme,
    options,
    values: [value],
    onChange: handleOptionSelect
  });

  function handleOptionSelect(option) {
    onChange(option.value);
  }

  return /*#__PURE__*/_react.default.createElement(_.Panel, _extends({
    theme: theme,
    variant: "cutout",
    background: "canvas",
    style: [styles.wrapper, style]
  }, rest), /*#__PURE__*/_react.default.createElement(_.ScrollView, {
    theme: theme
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.content, {
      backgroundColor: theme.canvas
    }]
  }, selectOptions)));
};

var _default = (0, _theming.withTheme)(SelectBox);

exports.default = _default;

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    paddingVertical: 4,
    paddingHorizontal: 4
  },
  content: {
    padding: 2
  }
});
//# sourceMappingURL=SelectBox.js.map