"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styles = require("../../styles/styles");

var _styleElements = require("../../styles/styleElements");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// TODO: implement scrollbars in TextInput
const TextInput = ({
  defaultValue,
  disabled,
  style = {},
  theme,
  value,
  variant = 'default',
  ...rest
}) => {
  const hasValue = !!(value || defaultValue);
  const isFlat = variant === 'flat';

  const getBackgroundColor = () => {
    if (isFlat) {
      return disabled ? theme.flatLight : 'transparent';
    }

    return disabled ? theme.material : theme.canvas;
  };

  const textStyles = (0, _styles.builtTextStyles)(theme);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.wrapper, {
      padding: isFlat ? 2 : 4
    }, style]
  }, /*#__PURE__*/_react.default.createElement(_styleElements.Border, {
    theme: theme,
    variant: isFlat ? 'flat' : 'cutout'
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({
    style: [styles.input, {
      backgroundColor: getBackgroundColor()
    }, textStyles.regular, disabled && hasValue ? textStyles.disabled : textStyles.default],
    placeholderTextColor: theme.materialTextDisabled,
    defaultValue: defaultValue,
    value: value,
    editable: !disabled // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest)));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    minHeight: _styles.blockSizes.md,
    justifyContent: 'center'
  },
  input: {
    flex: 1,
    paddingHorizontal: 4
  }
});

var _default = (0, _theming.withTheme)(TextInput);

exports.default = _default;
//# sourceMappingURL=TextInput.js.map