"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _styles = require("../../styles/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// TODO: set proper lineHeight and make it so that it automatically adjusts for every fontSize
const Text = ({
  bold = false,
  children,
  disabled = false,
  secondary = false,
  theme,
  style,
  ...rest
}) => {
  const textStyles = (0, _styles.builtTextStyles)(theme);

  const getTextStyle = () => {
    if (disabled) {
      return textStyles.disabled;
    }

    if (secondary) {
      return textStyles.secondary;
    }

    return textStyles.default;
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({
    style: [bold ? textStyles.bold : textStyles.regular, getTextStyle(), style]
  }, rest), children);
};

var _default = (0, _theming.withTheme)(Text);

exports.default = _default;
//# sourceMappingURL=Text.js.map