"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const mockOpenUrl = jest.fn(url => Promise.resolve(url));
describe('<Text />', () => {
  beforeEach(() => {
    mockOpenUrl.mockClear();
    jest.doMock('react-native/Libraries/Linking/Linking', () => ({
      openURL: mockOpenUrl
    }));
  });
  it('should render children', () => {
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Text, null, "Potato"));
    expect(getByText('Potato')).toBeTruthy();
  });
  it('should render custom styles', () => {
    const style = {
      color: 'papayawhip'
    };
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Text, {
      style: style
    }, "Potato"));
    expect(getByText('Potato')).toHaveStyle(style);
  });
});
//# sourceMappingURL=Text.spec.js.map