"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _ = require("../..");

var _Text = _interopRequireDefault(require("./Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Title = ({
  align = 'center',
  children,
  theme,
  ...rest
}) => {
  const getAlignment = () => {
    switch (align) {
      case 'left':
        return 'flex-start';

      case 'right':
        return 'flex-end';

      default:
        return 'center';
    }
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.wrapper]
  }, /*#__PURE__*/_react.default.createElement(_.Divider, {
    style: [styles.divider]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      paddingLeft: align !== 'left' ? 8 : 0,
      paddingRight: align !== 'right' ? 8 : 0,
      backgroundColor: theme.material,
      alignSelf: getAlignment()
    }
  }, /*#__PURE__*/_react.default.createElement(_Text.default, rest, children)));
};

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    position: 'relative',
    width: '100%'
  },
  divider: {
    position: 'absolute',
    left: 0,
    right: 0,
    top: '50%',
    transform: [{
      translateY: -1
    }]
  }
});

var _default = (0, _theming.withTheme)(Title);

exports.default = _default;
//# sourceMappingURL=Title.js.map