"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _theming = require("../../core/theming");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Window = ({
  active = true,
  children,
  onClose,
  onMaximize,
  onMinimize,
  style = {},
  theme,
  title = '',
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(_.Panel, _extends({
    theme: theme,
    variant: "raised",
    elevation: 4,
    style: [styles.window, {
      backgroundColor: theme.material
    }, style]
  }, rest), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.titleBar, styles.flex, {
      backgroundColor: active ? theme.headerBackground : theme.headerNotActiveBackground
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.flex]
  }, /*#__PURE__*/_react.default.createElement(_.Text, {
    theme: theme,
    bold: true // TODO: truncate window title when window is really small
    ,
    ellipsizeMode: "tail",
    numberOfLines: 1,
    style: [styles.titleBarText, {
      color: active ? theme.headerText : theme.headerNotActiveText
    }]
  }, title)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.flex]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.flex, styles.buttonGroup]
  }, onMinimize && /*#__PURE__*/_react.default.createElement(_.Button, {
    theme: theme,
    onPress: onMinimize,
    style: [styles.button]
  }, "_"), onMaximize && /*#__PURE__*/_react.default.createElement(_.Button, {
    theme: theme,
    onPress: onMaximize,
    style: [styles.button]
  }, "[]")), onClose && /*#__PURE__*/_react.default.createElement(_.Button, {
    theme: theme,
    onPress: onClose,
    style: [styles.button]
  }, /*#__PURE__*/_react.default.createElement(_.CloseIcon, null)))), children);
};

const styles = _reactNative.StyleSheet.create({
  flex: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignContent: 'center',
    alignItems: 'center'
  },
  window: {
    position: 'relative',
    paddingVertical: 6,
    paddingHorizontal: 6
  },
  titleBar: {
    height: 36,
    margin: 2,
    paddingRight: 4,
    paddingLeft: 8
  },
  titleBarText: {
    flexShrink: 1
  },
  buttonGroup: {
    marginRight: 6
  },
  button: {
    height: 28,
    width: 32,
    padding: 0
  }
});

var _default = (0, _theming.withTheme)(Window);

exports.default = _default;
//# sourceMappingURL=Window.js.map