"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useAsyncReference;

var _react = require("react");

function useAsyncReference(value) {
  const ref = (0, _react.useRef)(value);
  const [, rerender] = (0, _react.useState)(false);

  function updateState(newState) {
    if (!Object.is(ref.current, newState)) {
      ref.current = newState;
      rerender(s => !s);
    }
  }

  return [ref, updateState];
}
//# sourceMappingURL=useAsyncReference.js.map