"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _default = ({
  value,
  defaultValue
}) => {
  const isControlled = value !== undefined;
  const [controlledValue, setControlledValue] = (0, _react.useState)(defaultValue);
  const handleChangeIfUncontrolled = (0, _react.useCallback)(newValue => {
    if (!isControlled) {
      setControlledValue(newValue);
    }
  }, []);
  return [isControlled ? value : controlledValue, handleChangeIfUncontrolled];
};

exports.default = _default;
//# sourceMappingURL=useControlledOrUncontrolled.js.map