import React from 'react';
import { render } from '@testing-library/react-native';
import { Desktop, Text } from '../..';
describe('<Desktop />', () => {
  it('should render children in "screen"', () => {
    const {
      getByTestId
    } = render( /*#__PURE__*/React.createElement(Desktop, null, /*#__PURE__*/React.createElement(Text, null, "Desktop content")));
    expect(getByTestId('desktopScreen')).toHaveTextContent('Desktop content');
  });
  it('should render custom styles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = render( /*#__PURE__*/React.createElement(Desktop, {
      style: style,
      testID: "card"
    }));
    expect(getByTestId('card')).toHaveStyle(style);
  });
  it('should render custom screenStyles', () => {
    const style = {
      backgroundColor: 'teal'
    };
    const {
      getByTestId
    } = render( /*#__PURE__*/React.createElement(Desktop, {
      screenStyle: style
    }));
    expect(getByTestId('desktopScreen')).toHaveStyle(style);
  });
});
//# sourceMappingURL=Desktop.spec.js.map