function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet, View } from 'react-native';
import { withTheme } from '../../core/theming';
import { Border } from '../../styles/styleElements';

const Divider = ({
  orientation = 'horizontal',
  size = '100%',
  style = {},
  theme,
  variant = 'default',
  ...rest
}) => {
  const isHorizontal = orientation === 'horizontal';
  const isRaised = variant === 'raised';
  const thickness = isRaised ? 5 : 4;
  const dynamicStyles = {
    width: isHorizontal ? size : thickness,
    height: isHorizontal ? thickness : size,
    backgroundColor: theme.material
  };
  return /*#__PURE__*/React.createElement(View, _extends({
    style: [styles.divider, dynamicStyles, style]
  }, rest), /*#__PURE__*/React.createElement(Border, {
    variant: "well",
    invert: isRaised,
    theme: theme
  }));
};

const styles = StyleSheet.create({
  divider: {
    position: 'relative'
  }
});
export default withTheme(Divider);
//# sourceMappingURL=Divider.js.map