function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { View, StyleSheet, TouchableHighlight } from 'react-native';
import { withTheme } from '../../core/theming';
import { Text, ChevronIcon } from '../..';
import { blockSizes } from '../../styles/styles';
import useControlledOrUncontrolled from '../../hooks/useControlledOrUncontrolled'; // TODO: create LinkButton component that will have link colour that will serve as a clickable List.Item

// TODO: add accessibilityState=expanded ?
const ListAccordion = ({
  children,
  defaultExpanded,
  expanded: expandedProp,
  onPress,
  style,
  subtitle,
  subtitleStyle,
  theme,
  title,
  titleStyle,
  ...rest
}) => {
  const [expanded, setExpanded] = useControlledOrUncontrolled({
    value: expandedProp,
    defaultValue: defaultExpanded
  });

  const handlePress = () => {
    onPress === null || onPress === void 0 ? void 0 : onPress();

    if (expandedProp === undefined) {
      setExpanded(currentExpanded => !currentExpanded);
    }
  };

  return /*#__PURE__*/React.createElement(View, _extends({}, rest, {
    style: [styles.wrapper, {
      borderColor: theme.flatLight
    }, style]
  }), /*#__PURE__*/React.createElement(TouchableHighlight, {
    onPress: handlePress,
    accessibilityRole: "button"
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.header, {
      backgroundColor: theme.flatLight
    }],
    pointerEvents: "none"
  }, /*#__PURE__*/React.createElement(View, null, title && /*#__PURE__*/React.createElement(Text, {
    bold: true,
    style: [styles.title, {
      color: theme.progress
    }, titleStyle]
  }, title), subtitle && /*#__PURE__*/React.createElement(Text, {
    secondary: true,
    style: [styles.subtitle, subtitleStyle]
  }, subtitle)), /*#__PURE__*/React.createElement(View, {
    style: styles.expandIcon
  }, /*#__PURE__*/React.createElement(ChevronIcon, {
    theme: theme,
    color: theme.progress,
    segments: 3,
    direction: expanded ? 'up' : 'down'
  }), /*#__PURE__*/React.createElement(ChevronIcon, {
    theme: theme,
    color: theme.progress,
    segments: 3,
    style: {
      marginVertical: 1
    },
    direction: expanded ? 'up' : 'down'
  })))), expanded && /*#__PURE__*/React.createElement(View, {
    style: [styles.body]
  }, children));
}; // TODO: do we need 'displayName' ?
// ListAccordion.displayName = 'List.Accordion';


const styles = StyleSheet.create({
  wrapper: {
    borderWidth: 2
  },
  header: {
    paddingVertical: 4,
    paddingHorizontal: 8,
    minHeight: blockSizes.md,
    justifyContent: 'space-between',
    alignItems: 'center',
    display: 'flex',
    flexDirection: 'row'
  },
  title: {// TODO: create separate color variable for this? or should we use theme.materialColor instead?
  },
  subtitle: {
    // TODO: make a Text component with standarized font sizes where normal is 16 / small 13 ...etc
    fontSize: 13,
    marginTop: 4
  },
  expandIcon: {
    marginRight: 4
  },
  body: {},
  divider: {
    height: 2,
    width: 'auto'
  }
});

const Divider = ({
  theme
}) => {
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.divider, {
      backgroundColor: theme.flatLight
    }]
  });
};

const DividerWithTheme = withTheme(Divider);
export { DividerWithTheme as Divider };
export default withTheme(ListAccordion);
//# sourceMappingURL=ListAccordion.js.map