function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useState, useEffect } from 'react';
import { StyleSheet, View } from 'react-native';
import { withTheme } from '../../core/theming';
import { blockSizes } from '../../styles/styles';
import { Panel } from '../..';
const tileWidth = 17;

const Progress = ({
  background = 'material',
  percent = 0,
  style = {},
  theme,
  variant = 'default',
  ...rest
}) => {
  const [tilesNumber, setTilesNumber] = useState(0);
  const [progressWidth, setProgressWidth] = useState(0);

  function onProgressWidthChange(e) {
    const {
      width
    } = e.nativeEvent.layout;
    setProgressWidth(width);
  }

  useEffect(() => {
    setTilesNumber(Math.round(percent / 100 * (progressWidth / tileWidth)));
  }, [percent]);
  return /*#__PURE__*/React.createElement(Panel, _extends({
    theme: theme,
    variant: "cutout",
    background: background
  }, rest, {
    style: [styles.wrapper, {
      height: blockSizes.md
    }, style],
    accessible: true,
    accessibilityRole: "progressbar",
    accessibilityValue: {
      min: 0,
      max: 100,
      now: percent
    }
  }), /*#__PURE__*/React.createElement(View, {
    style: [styles.progressWrapper]
  }, variant === 'tile' ? /*#__PURE__*/React.createElement(View, {
    style: [styles.tilesWrapper, {
      borderColor: theme.material
    }],
    onLayout: onProgressWidthChange
  }, Array(tilesNumber).fill(null).map((_, index) => /*#__PURE__*/React.createElement(View, {
    style: [styles.tile, styles.progress, {
      backgroundColor: theme.progress,
      borderColor: theme.material
    }],
    key: index
  }))) : /*#__PURE__*/React.createElement(View, {
    style: [styles.progress, {
      width: "".concat(percent, "%"),
      backgroundColor: theme.progress
    }]
  })));
};

const styles = StyleSheet.create({
  wrapper: {
    position: 'relative',
    padding: 4
  },
  progressWrapper: {
    width: '100%',
    height: '100%'
  },
  progress: {
    height: '100%'
  },
  tilesWrapper: {
    flexDirection: 'row',
    flex: 1,
    borderWidth: 1
  },
  tile: {
    width: tileWidth,
    borderWidth: 1
  }
});
export default withTheme(Progress);
//# sourceMappingURL=Progress.js.map