import { useState, useRef } from 'react';
export default function useAsyncReference(value) {
  const ref = useRef(value);
  const [, rerender] = useState(false);

  function updateState(newState) {
    if (!Object.is(ref.current, newState)) {
      ref.current = newState;
      rerender(s => !s);
    }
  }

  return [ref, updateState];
}
//# sourceMappingURL=useAsyncReference.js.map