import React from 'react';
import { View, ViewStyle, StyleProp, TextStyle } from 'react-native';
import type { Theme } from '../../types';
declare type Props = React.ComponentPropsWithRef<typeof View> & {
    children: React.ReactNode;
    defaultExpanded?: boolean;
    expanded?: boolean;
    onPress?: () => void;
    style?: StyleProp<ViewStyle>;
    subtitle?: string;
    subtitleStyle?: StyleProp<TextStyle>;
    theme: Theme;
    title?: string;
    titleStyle?: StyleProp<TextStyle>;
};
declare type DividerProps = {
    theme: Theme;
};
declare const DividerWithTheme: (React.ComponentClass<Pick<DividerProps, never> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<DividerProps, any> & (({ theme }: DividerProps) => JSX.Element)) | (React.FunctionComponent<DividerProps> & (({ theme }: DividerProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<DividerProps, never> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<DividerProps, any> & (({ theme }: DividerProps) => JSX.Element)) | (React.FunctionComponent<DividerProps> & (({ theme }: DividerProps) => JSX.Element)), {}>);
export { DividerWithTheme as Divider };
declare const _default: (React.ComponentClass<Pick<Props, "ref" | "style" | "title" | "children" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "subtitle" | "subtitleStyle" | "titleStyle" | "key" | "defaultExpanded" | "expanded"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & (({ children, defaultExpanded, expanded: expandedProp, onPress, style, subtitle, subtitleStyle, theme, title, titleStyle, ...rest }: Props) => JSX.Element)) | (React.FunctionComponent<Props> & (({ children, defaultExpanded, expanded: expandedProp, onPress, style, subtitle, subtitleStyle, theme, title, titleStyle, ...rest }: Props) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<Props, "ref" | "style" | "title" | "children" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "subtitle" | "subtitleStyle" | "titleStyle" | "key" | "defaultExpanded" | "expanded"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & (({ children, defaultExpanded, expanded: expandedProp, onPress, style, subtitle, subtitleStyle, theme, title, titleStyle, ...rest }: Props) => JSX.Element)) | (React.FunctionComponent<Props> & (({ children, defaultExpanded, expanded: expandedProp, onPress, style, subtitle, subtitleStyle, theme, title, titleStyle, ...rest }: Props) => JSX.Element)), {}>);
export default _default;
