import React from 'react';
import { StyleProp, ViewStyle, View } from 'react-native';
import type { Theme, Orientation } from '../../types';
declare type Props = React.ComponentPropsWithRef<typeof View> & {
    anchor?: React.ReactNode;
    children: React.ReactNode;
    open?: boolean;
    orientation?: Orientation;
    style?: StyleProp<ViewStyle>;
    theme: Theme;
    horizontalAlignment?: 'left' | 'right';
    verticalAlignment?: 'above' | 'below';
};
declare const _default: (React.ComponentClass<Pick<Props, "ref" | "style" | "anchor" | "children" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "key" | "orientation" | "open" | "horizontalAlignment" | "verticalAlignment"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & {
    ({ anchor, children, open, orientation, style, theme, horizontalAlignment: horizontalAlign, verticalAlignment: verticalAlign, ...rest }: Props): JSX.Element;
    Item: (React.ComponentClass<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>);
}) | (React.FunctionComponent<Props> & {
    ({ anchor, children, open, orientation, style, theme, horizontalAlignment: horizontalAlign, verticalAlignment: verticalAlign, ...rest }: Props): JSX.Element;
    Item: (React.ComponentClass<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>);
}), {}>) | (React.FunctionComponent<Pick<Props, "ref" | "style" | "anchor" | "children" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "key" | "orientation" | "open" | "horizontalAlignment" | "verticalAlignment"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & {
    ({ anchor, children, open, orientation, style, theme, horizontalAlignment: horizontalAlign, verticalAlignment: verticalAlign, ...rest }: Props): JSX.Element;
    Item: (React.ComponentClass<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>);
}) | (React.FunctionComponent<Props> & {
    ({ anchor, children, open, orientation, style, theme, horizontalAlignment: horizontalAlign, verticalAlignment: verticalAlign, ...rest }: Props): JSX.Element;
    Item: (React.ComponentClass<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, "style" | "title" | "onPress" | "disabled" | "primary" | "size"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }, any> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)) | (React.FunctionComponent<{
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }> & (({ disabled, onPress, primary, size, style, theme, title, ...rest }: {
        disabled?: boolean | undefined;
        onPress: () => void;
        primary?: boolean | undefined;
        size?: "sm" | "md" | "lg" | undefined;
        style?: StyleProp<ViewStyle>;
        theme: Theme;
        title: string;
    }) => JSX.Element)), {}>);
}), {}>);
export default _default;
