import React from 'react';
import { TouchableHighlight, StyleProp, ViewStyle } from 'react-native';
import type { Theme } from '../../types';
export declare type SwitchStatus = 'checked' | 'unchecked' | 'indeterminate';
export declare type SwitchProps = {
    disabled?: boolean;
    label?: string;
    onPress?: () => void;
    status: SwitchStatus;
    style?: StyleProp<ViewStyle>;
    variant?: 'default' | 'flat';
    theme: Theme;
};
declare type Props = SwitchProps & React.ComponentPropsWithRef<typeof TouchableHighlight> & {
    component: 'radio' | 'checkbox';
};
declare const SwitchBaseWithTheme: (React.ComponentClass<Pick<Props, "ref" | "label" | "style" | "hitSlop" | "onLayout" | "testID" | "hasTVPreferredFocus" | "tvParallaxProperties" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "key" | "disabled" | "delayLongPress" | "delayPressIn" | "delayPressOut" | "onBlur" | "onFocus" | "onLongPress" | "onPressIn" | "onPressOut" | "pressRetentionOffset" | "variant" | "activeOpacity" | "onHideUnderlay" | "onShowUnderlay" | "underlayColor" | "component" | "status"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & (({ component, disabled, label, variant, onPress, status, style, theme, ...rest }: Props) => JSX.Element)) | (React.FunctionComponent<Props> & (({ component, disabled, label, variant, onPress, status, style, theme, ...rest }: Props) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<Props, "ref" | "label" | "style" | "hitSlop" | "onLayout" | "testID" | "hasTVPreferredFocus" | "tvParallaxProperties" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "key" | "disabled" | "delayLongPress" | "delayPressIn" | "delayPressOut" | "onBlur" | "onFocus" | "onLongPress" | "onPressIn" | "onPressOut" | "pressRetentionOffset" | "variant" | "activeOpacity" | "onHideUnderlay" | "onShowUnderlay" | "underlayColor" | "component" | "status"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & (({ component, disabled, label, variant, onPress, status, style, theme, ...rest }: Props) => JSX.Element)) | (React.FunctionComponent<Props> & (({ component, disabled, label, variant, onPress, status, style, theme, ...rest }: Props) => JSX.Element)), {}>);
export { SwitchBaseWithTheme as SwitchBase };
