import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import type { Theme, AnyValue } from '../../types';
declare type TabsProps = {
    children?: React.ReactNode;
    onChange?: (value: AnyValue) => void;
    stretch?: boolean;
    style?: StyleProp<ViewStyle>;
    theme: Theme;
    value: AnyValue;
};
declare type TabBodyProps = {
    children?: React.ReactNode;
    style?: StyleProp<ViewStyle>;
    theme: Theme;
};
declare type TabProps = {
    children?: React.ReactNode;
    onPress?: (value: AnyValue) => void;
    selected?: boolean;
    stretch?: boolean;
    style?: StyleProp<ViewStyle>;
    theme: Theme;
    value: AnyValue;
};
declare const _default: (React.ComponentClass<Pick<TabsProps, "style" | "children" | "stretch" | "onChange" | "value"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabsProps, any> & {
    ({ children, onChange, stretch, style, theme, value, ...rest }: TabsProps): JSX.Element;
    Tab: (React.ComponentClass<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>);
    Body: (React.ComponentClass<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>);
}) | (React.FunctionComponent<TabsProps> & {
    ({ children, onChange, stretch, style, theme, value, ...rest }: TabsProps): JSX.Element;
    Tab: (React.ComponentClass<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>);
    Body: (React.ComponentClass<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>);
}), {}>) | (React.FunctionComponent<Pick<TabsProps, "style" | "children" | "stretch" | "onChange" | "value"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabsProps, any> & {
    ({ children, onChange, stretch, style, theme, value, ...rest }: TabsProps): JSX.Element;
    Tab: (React.ComponentClass<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>);
    Body: (React.ComponentClass<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>);
}) | (React.FunctionComponent<TabsProps> & {
    ({ children, onChange, stretch, style, theme, value, ...rest }: TabsProps): JSX.Element;
    Tab: (React.ComponentClass<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabProps, "style" | "children" | "onPress" | "selected" | "stretch" | "value"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabProps, any> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)) | (React.FunctionComponent<TabProps> & (({ children, onPress, selected, stretch, style, theme, value, ...rest }: TabProps) => JSX.Element)), {}>);
    Body: (React.ComponentClass<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }, any> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>) | (React.FunctionComponent<Pick<TabBodyProps, "style" | "children"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<TabBodyProps, any> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)) | (React.FunctionComponent<TabBodyProps> & (({ children, style, ...rest }: TabBodyProps) => JSX.Element)), {}>);
}), {}>);
export default _default;
