import type { Theme } from '../types';
export declare const fontNames: {
    normal: string;
    bold: string;
};
export declare const buildBorderStyles: (theme: Theme) => {
    focusSecondaryOutline: {
        borderStyle: "dotted";
        borderColor: string;
        borderWidth: number;
    };
    focusOutline: {
        borderStyle: "dotted";
        borderColor: string;
        borderWidth: number;
    };
    outline: {
        borderColor: string;
        borderWidth: number;
    };
    defaultOuter: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    defaultInner: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    outsideOuter: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    outsideInner: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    cutoutOuter: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    cutoutInner: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    well: {
        borderLeftColor: string;
        borderTopColor: string;
        borderRightColor: string;
        borderBottomColor: string;
        borderWidth: number;
    };
    flat: {
        borderColor: string;
        borderWidth: number;
    };
};
export declare const builtTextStyles: (theme: Theme) => {
    regular: {
        fontFamily: string;
        fontSize: number;
    };
    bold: {
        fontFamily: string;
        fontSize: number;
    };
    secondary: {
        color: string;
    };
    default: {
        color: string;
    };
    disabled: {
        color: string;
        textShadowColor: string;
        textShadowOffset: {
            width: number;
            height: number;
        };
        textShadowRadius: number;
    };
};
export declare const blockSizes: {
    sm: number;
    md: number;
    lg: number;
};
export declare function padding(a: number, b?: number, c?: number, d?: number): {
    paddingTop: number;
    paddingRight: number;
    paddingBottom: number;
    paddingLeft: number;
};
export declare function margin(a: number, b?: number, c?: number, d?: number): {
    marginTop: number;
    marginRight: number;
    marginBottom: number;
    marginLeft: number;
};
