import type * as React from 'react';
export declare type $Omit<T, K> = Pick<T, Exclude<keyof T, K>>;
export declare type $RemoveChildren<T extends React.ComponentType<any>> = $Omit<React.ComponentPropsWithoutRef<T>, 'children'>;
export declare type Color = string;
export declare type Sizes = 'sm' | 'md' | 'lg';
export declare type Orientation = 'horizontal' | 'vertical';
export declare type Direction = 'up' | 'down' | 'left' | 'right';
export declare type DimensionValue = undefined | number | string;
export declare type Theme = {
    name: string;
    anchor: string;
    anchorVisited: string;
    borderDark: string;
    borderDarkest: string;
    borderLight: string;
    borderLightest: string;
    canvas: string;
    canvasText: string;
    canvasTextDisabled: string;
    canvasTextDisabledShadow: string;
    canvasTextInvert: string;
    checkmark: string;
    checkmarkDisabled: string;
    flatDark: string;
    flatLight: string;
    focusSecondary: string;
    headerBackground: string;
    headerNotActiveBackground: string;
    headerNotActiveText: string;
    headerText: string;
    hoverBackground: string;
    material: string;
    materialDark: string;
    materialText: string;
    materialTextDisabled: string;
    materialTextDisabledShadow: string;
    materialTextInvert: string;
    progress: string;
    tooltip: string;
};
export declare type AnyValue = any;
